%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Try-Tiny
Version:       0.31
Release:       2mamba
Summary:       Minimal try/catch with proper localization of $@
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Try-Tiny-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Minimal try/catch with proper localization of $@.

%prep
%setup -q -n Try-Tiny-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.31-2mamba
- rebuilt with perl 5.36.0

* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31-1mamba
- update to 0.31

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.22-1mamba
- automatic update by autodist

* Mon Feb 24 2014 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- automatic update by autodist

* Wed Jul 10 2013 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-2mamba
- perl 5.16 mass rebuild

* Wed Nov 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-1mamba
- package created by autospec
